using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace RpgRoller.Migrations
{
    /// <inheritdoc />
    public partial class AddRolemasterFumbleRange : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<int>(
                name: "FumbleRange",
                table: "Skills",
                type: "INTEGER",
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "FumbleRange",
                table: "SkillGroups",
                type: "INTEGER",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "FumbleRange",
                table: "Skills");

            migrationBuilder.DropColumn(
                name: "FumbleRange",
                table: "SkillGroups");
        }
    }
}
